using System;

class Program{
    public static void Main(){
        string t = Console.ReadLine();
        string s = Console.ReadLine();
        int brojac = 0;
        if(s.Length == 1){
            for(int i = 0; i<t.Length; i++){
                if(t[i] == 'a') brojac++;
            }
            Console.WriteLine(brojac);  
        }
        else{
            int brojacA = 0;
            for(int i = 0; i<t.Length; i++){
                if(t[i] == 'a') {
                    brojacA++;
                    if(brojacA == t.Length){
                        brojac++;
                        brojacA = 0;
                    }
                }
                else Console.Write(t[i]);
            }
            Console.WriteLine(brojac);
            brojacA = 0;
            for(int i = 0; i<t.Length; i++){
                if(t[i] == 'a') {
                    brojacA++;
                    if(brojacA == t.Length){
                        Console.Write("*");
                        brojacA = 0;
                    }
                    else Console.Write(t[i]);
                }
                else Console.Write(t[i]);
            }
        }
        
    }
}